taffybar-0.4.6: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) José A. Romero L.
License | BSD3-style (see LICENSE)
Maintainer | José A. Romero L. <escherdragon@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe
Language | Haskell2010

System.Information.DiskIO

Description

Provides information about read/write operations in a given disk or partition, obtained from parsing the `/proc/diskstats` file with some of the facilities included in the System.Information.StreamInfo module.

Synopsis

- getDiskTransfer :: String -> IO [Double]

# Documentation

getDiskTransfer :: String -> IO [Double] Source #

Returns a two-element list containing the speed of transfer for read and write operations performed in the given disk/partition (e.g. "sda", "sda1").